## Add scoreboard required for uninstall
scoreboard objectives add star_dupe.uninstall_success dummy

## Remove unneccesory scoreboards
scoreboard objectives remove star_dupe.dupe_success
scoreboard objectives remove star_dupe.info
scoreboard objectives remove star_dupe.gamerules.drag_egg_can_dupe
scoreboard objectives remove star_dupe.gamerules.obsidian_turns_crying
scoreboard objectives remove star_dupe.gamerules.viewable_gamerules

## Disable the data pack
execute store success score #global star_dupe.uninstall_success run datapack disable "file/Nether Star Duping 1.0.2"
execute if score #global star_dupe.uninstall_success matches 0 run execute store success score #global star_dupe.uninstall_success run datapack disable "file/Nether Star Duping 1.0.2.zip"

## If file name changed, ask the user to do the disabling by itself
execute if score #global star_dupe.uninstall_success matches 0 run tellraw @s [{"text": "UNINSTALL FAILED: FILE NAME CHANGED.","bold": true,"color": "dark_red"},{"text": " "},{"text": "To finish uninstalling, run /datapack disable <file_name>","color": "red","bold": false}]

## If uninstall successful, tell the user about it 
execute if score #global star_dupe.uninstall_success matches 1 run tellraw @s {"text": "Uninstall successful!","color": "green","bold": true}

## Remove the unneccesory uninstall scoreboard (Yes, that works after disabling the data pack.)
scoreboard objectives remove star_dupe.uninstall_success